Bug 674827 - Add a DynaGroup template to cluster together EAP5/AS 6 clusters
Add a DynaGroup template to cluster together EAP5/AS 6 clusters
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 08:28 EST by Heiko W. Rupp
Modified: 2013-09-02 03:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-02-03 08:28:18 EST
The template in the UI says "Group by AS cluster" - but this only applies to AS3/4 clusters.
Just exchanging the plugin name in the created dynagroups expression is not enough, as the name of the trait is also different in AS 5 / 6

So the DynaGroups UI needs another template entry for AS5/6

groupby resource.trait[MCBean|ServerConfig|*|partitionName]
resource.type.plugin = JBossAS5
resource.type.name = JBossAS Server
Comment 1 John Mazzitelli 2011-02-16 10:32:08 EST
commit 461c9be10b701ca381f4fcbf4765689f074f90f7

"JBossAS 5/6 Clusters" is a new option in the templates drop down
Comment 2 Sunil Kondkar 2011-06-10 04:57:06 EDT
Verified on build 123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

While creating a DynaGroup definition, verified that the dropdown 'Saved Expression' has a option 'JBoss As 5/6 Clusters'.

Selecting the option displays below expression:

groupby resource.trait[MCBean|ServerConfig|*|partitionName]
resource.type.plugin = JBossAS5
resource.type.name = JBossAS Server

Verified by creating a dynagroup using above option.
Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:28:04 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.